org.eclipse.wst.jsdt.ui

## Class JavaScriptSourceFoldersAction

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.JavaScriptLibrariesAction
  - - org.eclipse.wst.jsdt.ui.JavaScriptSourceFoldersAction

    public class JavaScriptSourceFoldersAction
    extends JavaScriptLibrariesAction

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.ui.JavaScriptLibrariesAction

`project, PROPS_TO_IDS`

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptSourceFoldersAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IAction arg0)`

### Methods inherited from class org.eclipse.wst.jsdt.ui.JavaScriptLibrariesAction

`getShell, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaScriptSourceFoldersAction

    public JavaScriptSourceFoldersAction()

### Method Detail

#### run

    public void run(IAction arg0)

Overrides:
  `run` in class `JavaScriptLibrariesAction`